be.fgov.ehealth.addressbook.core.v1

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.addressbook.core.v1.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.addressbook.core.v1 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.addressbook.core.v1

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EHealthBoxType` | `createEHealthBoxType()` Create an instance of `EHealthBoxType`
    `IndividualContactInformationType` | `createIndividualContactInformationType()` Create an instance of `IndividualContactInformationType`
    `OrganizationContactInformationType` | `createOrganizationContactInformationType()` Create an instance of `OrganizationContactInformationType`
    `ProfessionalInformation` | `createProfessionalInformation()` Create an instance of `ProfessionalInformation`
    `ProfessionalInformationType` | `createProfessionalInformationType()` Create an instance of `ProfessionalInformationType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.addressbook.core.v1

  - ### Method Detail

    - #### createEHealthBoxType

          public EHealthBoxType createEHealthBoxType()

      Create an instance of `EHealthBoxType`

    - #### createIndividualContactInformationType

          public IndividualContactInformationType createIndividualContactInformationType()

      Create an instance of `IndividualContactInformationType`

    - #### createOrganizationContactInformationType

          public OrganizationContactInformationType createOrganizationContactInformationType()

      Create an instance of `OrganizationContactInformationType`

    - #### createProfessionalInformationType

          public ProfessionalInformationType createProfessionalInformationType()

      Create an instance of `ProfessionalInformationType`

    - #### createProfessionalInformation

          public ProfessionalInformation createProfessionalInformation()

      Create an instance of `ProfessionalInformation`

Connector Packaging PERSAUDIOLOGIST 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.